import { get_version, instance_id, package_json } from '../utils/constants';
import * as uuid from 'uuid';

test(`can read 'package.json'`, () => {
  console.log(package_json);
  expect(package_json).toBeDefined();
});

test(`'instance_id' is valid`, () => {
  console.log(instance_id);
  expect(instance_id).toBeDefined();
  expect(uuid.parse(instance_id)).toBeInstanceOf(Uint8Array);
});

test(`'version' can be read from 'package.json'`, () => {
  console.log(get_version());
  expect(get_version()).toBe('2.0.0-r1');
});
